This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 809413 - Kernel crash running Fedora 16 install DVD (anaconda)
Kernel crash running Fedora 16 install DVD (anaconda)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 06:09 EDT by Neil Bird
Modified: 2012-11-14 09:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 09:52:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Photo of kernel crash report (3.55 MB, image/jpeg)
2012-04-15 12:39 EDT, Neil Bird
no flags Details

  None (edit)
Description Neil Bird 2012-04-03 06:09:41 EDT
Description of problem:

When trying to run the Fedora 16 installer off DVD (GUI & text) to upgrade my Fedora 14 install, at around the point where it is looking for existing installations (before choosing whether to upgrade or install) the kernel crashes with a message that starts:

kernel bug security/selinux/ss/services.c:655
invalid opcode 0000 [#1] SMP
Pid: 855, comm: anaconda
<snip loads of register stuff I didn't write down>


Version-Release number of selected component (if applicable):

Fedora 16 install DVD


How reproducible:

Every time.


Steps to Reproduce:
1. Boot PC into installer.
2. Step through initial language/keyboard pages.
3. See crash.


Additional info:

I cannot use pre-upgrade as I would prefer as it does not yet support /boot on mirrored RAID, which I have.  Basically, I can't install F16 at the moment.

I have not yet had a chance to try booting the installer with the selinux=0 option (just in case);  it'll be a couple of weeks now before I can get a chance.  I also plan to try the F16 Live DVD when I get a chance to download it.

I don't have the capability to boot with a serial console either, so I don't think I can catch the exact output.
Comment 1 Josh Boyer 2012-04-03 13:56:06 EDT
(In reply to comment #0)
> Description of problem:
> 
> When trying to run the Fedora 16 installer off DVD (GUI & text) to upgrade my
> Fedora 14 install, at around the point where it is looking for existing
> installations (before choosing whether to upgrade or install) the kernel
> crashes with a message that starts:
> 
> kernel bug security/selinux/ss/services.c:655
> invalid opcode 0000 [#1] SMP
> Pid: 855, comm: anaconda
> <snip loads of register stuff I didn't write down>

So all that stuff you didn't write down is what we'd need to go from.

However, we can't remaster the F16 release media.  Can you try the F17 nightly liveCDs or the upcoming F17 Beta?
Comment 2 Neil Bird 2012-04-15 04:26:51 EDT
I had the chance to try booting the DVD with selinux=0 last night and that does seem to bypass the crash.  I plan to actually try the upgrade again next weekend or maybe the one after that.

When I come to do it (or before if I have the time) I'll take a photo of the kernel crash output (dunno why I didn't think of that at the time) and attach it here.
Comment 3 Neil Bird 2012-04-15 12:39:41 EDT
Created attachment 577553 [details]
Photo of kernel crash report

OK, here's as best a photo as I could get of the crash.  Looks like all the info's legible.

The crash occurs very shortly *after* I select which OS I wish to upgrade (I have 2 F14s, a 32-bit and a 64-bit on diff. partitions).

Although I'm not sure yet which I'm choosing as the /dev/md names have changed ...
Comment 4 Josh Boyer 2012-04-16 15:33:52 EDT
(In reply to comment #3)
> Created attachment 577553 [details]
> Photo of kernel crash report
> 
> OK, here's as best a photo as I could get of the crash.  Looks like all the
> info's legible.
> 
> The crash occurs very shortly *after* I select which OS I wish to upgrade (I
> have 2 F14s, a 32-bit and a 64-bit on diff. partitions).
> 
> Although I'm not sure yet which I'm choosing as the /dev/md names have changed
> ...

That's a bit more helpful, but as I said earlier there isn't much we can do about F16 install media at this point.
Comment 5 Dave Jones 2012-10-23 11:30:11 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 6 Justin M. Forbes 2012-11-14 09:52:16 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.